# Class MessageData

Namespace
  adas_core.Domain.Models.SignalR

Assembly
  adas-core.Domain.dll

Represents data associated with a message, providing a structure for storing and transporting message-related information.

    public class MessageData

Inheritance
  object
  MessageData

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Action

    public string? Action { get; set; }

#### Property Value

string

### Alarmfields

    public List<Field>? Alarmfields { get; set; }

#### Property Value

List<Field>

### Appointments

    public bool Appointments { get; set; }

#### Property Value

bool

### Beacons

    public bool Beacons { get; set; }

#### Property Value

bool

### Chat

    public bool Chat { get; set; }

#### Property Value

bool

### ChatMessage

    public string? ChatMessage { get; set; }

#### Property Value

string

### ChatMessageDate

    public DateTime? ChatMessageDate { get; set; }

#### Property Value

DateTime?

### ChatMessageToLocation

    public PatientLocation? ChatMessageToLocation { get; set; }

#### Property Value

PatientLocation

### CurrentRecordings

    public List<Recording> CurrentRecordings { get; set; }

#### Property Value

List<Recording>

### Diagnosis

    public bool Diagnosis { get; set; }

#### Property Value

bool

### DisplayId

    public string? DisplayId { get; set; }

#### Property Value

string

### Fields

    public List<Field>? Fields { get; set; }

#### Property Value

List<Field>

### GroupedFields

    public List<GroupedField>? GroupedFields { get; set; }

#### Property Value

List<GroupedField>

### IsDemo

    public bool IsDemo { get; set; }

#### Property Value

bool

### Last

    public int Last { get; set; }

#### Property Value

int

### Locale

    public LocaleEnum Locale { get; set; }

#### Property Value

LocaleEnum

### Location

    public PatientLocation? Location { get; set; }

#### Property Value

PatientLocation

### LocationIds

    public List<ObjectId> LocationIds { get; set; }

#### Property Value

List<ObjectId>

### Locations

    public List<PatientLocation> Locations { get; set; }

#### Property Value

List<PatientLocation>

### PatientId

    public string? PatientId { get; set; }

#### Property Value

string

### Pumps

    public bool Pumps { get; set; }

#### Property Value

bool

### RecordingAlerts

    public bool RecordingAlerts { get; set; }

#### Property Value

bool

### Recordings

    public bool Recordings { get; set; }

#### Property Value

bool

### Relay

    public bool Relay { get; set; }

#### Property Value

bool

### Rol

    public string? Rol { get; set; }

#### Property Value

string

### Section

    public string? Section { get; set; }

#### Property Value

string

### SectionConfig

    public SectionConfig? SectionConfig { get; set; }

#### Property Value

SectionConfig

### SectionInfo

    public bool SectionInfo { get; set; }

#### Property Value

bool

### TimeZoneId

    public string TimeZoneId { get; set; }

#### Property Value

string

### Token

    public JwtSecurityToken? Token { get; set; }

#### Property Value

JwtSecurityToken

### Treatments

    public bool Treatments { get; set; }

#### Property Value

bool

### UserName

    public string? UserName { get; set; }

#### Property Value

string